```wmd-options
language = es
title_i18n = wmarkdown_title_color_sample
title_text = Muestra de color - WMarkDown
```

<!-- [[wmd]] -->

### Muestra de color

Las muestras de color no son más que unas cajitas para mostrar un color concreto de una forma rápida y ágil.

```wmd-examples

Esta muestra [[#F00]] es el color rojo.

Esta muestra [[#FF0000]] es el color rojo.

Esta muestra [[#f00]] es el color rojo.

Esta muestra [[color rgb(255, 0, 0)]] es el color rojo.

Esta muestra [[color red]] es el color rojo.

Esta muestra [[color #F00]] es el color rojo.

```

> [!!] Es cierto que tenemos la capacidad de poner bloques de color vía HTML, ya sea con la etiqueta SPAN o DIV, pero esta forma es más eficiente y permite que sin tener conocimientos de HTML poder aplicar colores sólo a su nombre en inglés, código hexadecimal o RGB y RGBA.

Las muestras de color se pueden poner simplemente entre dobles corchetes si éstas son hexadecimal; o bien, entre corchetes se nombra "color" y luego, separado por espacio o tabulación, el código de color, independientemente de ser hexadecima, RGB, RGBA, HLS o HLSA; así como con el nombre del color en inglés.

<!-- [[wmd]] -->