[[post_data {
    "author" : "KyMAN",
    "since" : 20211220,
    "version" : 20211220
}]]
# WMarkDown.ScriptsAnalyzer.php

```txt
/PHP/WMarkDown.ScriptsAnalyzer.php
```

## [[plain WMarkDown\ScriptsAnalyzer->__construct]]

[[wdoc
Método constructor.
@name       WMarkDown\ScriptsAnalyzer->__construct
@see	WMarkDown->get_ignore_file_paths
@see	WMarkDown->get_root
@see	WMarkDown->settings
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	cbfd25de23b5994ff2e1917f28314a29
#$wmarkdown	- optional Parámetro $wmarkdown
#$input	- optional Parámetro $input
]]

## [[plain WMarkDown\ScriptsAnalyzer::get_content]]

[[wdoc
Método static.
@name       WMarkDown\ScriptsAnalyzer::get_content
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	3bb68b3fdc75a456123c85db00b04d59
#$file	- optional Parámetro $file
#$path	- optional Parámetro $path
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer->get_wmd_path]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->get_wmd_path
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	c18a3e801312251adc6203a0a43b8bd3
#$file	- optional Parámetro $file
#$path	- optional Parámetro $path
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer->write]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->write
@see	WMarkDown\ScriptsAnalyzer->get_wmd_path
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	d611a8a4b1a361b770bbaef731908e82
#$file	- optional Parámetro $file
#$path	- optional Parámetro $path
#$content	- optional Parámetro $content
]]

## [[plain WMarkDown\ScriptsAnalyzer::get_properties]]

[[wdoc
Método static.
@name       WMarkDown\ScriptsAnalyzer::get_properties
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	d3a4f5ca6026cee50f68122edfb5495d
#$value	- optional Parámetro $value
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer::get_attributes]]

[[wdoc
Método static.
@name       WMarkDown\ScriptsAnalyzer::get_attributes
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	e9d6420690aee5e87871839cd2bf9fa1
#$wdoc	- optional Parámetro $wdoc
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer::set_parameter]]

[[wdoc
Método static.
@name       WMarkDown\ScriptsAnalyzer::set_parameter
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	ade6acc9c02f97999fa9da1b772fd038
#$parameter	- optional Parámetro $parameter
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer::set_return]]

[[wdoc
Método static.
@name       WMarkDown\ScriptsAnalyzer::set_return
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	2201ec09a48a33e9f406571d4f2bf513
#$return	- optional Parámetro $return
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer->update_wdoc]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->update_wdoc
@see	WMarkDown\ScriptsAnalyzer::set_return
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	e40b880a5de2d9491f68aa8b152930a9
#&$wdoc	- optional Parámetro &$wdoc
#$current	- optional Parámetro $current
#$new	- optional Parámetro $new
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer->add_method]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->add_method
@see	WMarkDown\ScriptsAnalyzer::set_parameter
@see	WMarkDown\ScriptsAnalyzer::set_return
@see	WMarkDown::string_variables
@see	WMarkDown\ScriptsAnalyzer::get_attributes
@see	WMarkDown\ScriptsAnalyzer->update_wdoc
@see	WmarkDown::string_variables
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	06bc12e8291a79801ab690d3a61f31ac
#$wmd	- optional Parámetro $wmd
#$last	- optional Parámetro $last
#$variables	- optional Parámetro $variables
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer->get_commons]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->get_commons
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	5e892e156464e9dea944496cbbcbbe38
#return	- - Retorno.
]]

## [[plain WMarkDown\ScriptsAnalyzer->analyze]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->analyze
@see	WMarkDown\ScriptsAnalyzer->get_commons
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	2f7ca49347c5e1fdd7e99a43470ef155
#$class	- optional Parámetro $class
#$object	- optional Parámetro $object
#$file	- optional Parámetro $file
#$path	- optional Parámetro $path
#&$languages	- optional Parámetro &$languages
#$i	- optional Parámetro $i
]]

## [[plain WMarkDown\ScriptsAnalyzer->build]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->build
@see	WMarkDown\ScriptsAnalyzer->build
@see	WMarkDown\ScriptsAnalyzer->analyze
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	d89a7b59af6b42b2c915acdf9797629e
#$path	- optional Parámetro $path
#&$languages	- optional Parámetro &$languages
#$i	- optional Parámetro $i
]]

## [[plain WMarkDown\ScriptsAnalyzer->write_wmd]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->write_wmd
@see	WMarkDown::save_file
@see	WMarkDown::string_variables
@lang       PHP
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	e48b5b2a47b221d81db6c38ac8cfc0ba
#$path	- optional Parámetro $path
#$content	- optional Parámetro $content
#$variables	- optional Parámetro $variables
]]

## [[plain WMarkDown\ScriptsAnalyzer->update_files]]

[[wdoc
Método object.
@name       WMarkDown\ScriptsAnalyzer->update_files
@see        WMarkDown\ScriptsAnalyzer->build
@see        WMarkDown\ScriptsAnalyzer->write_wmd
@lang       PHP
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       80cf030f90df75f48f6f7f9671062c30
]]

[[html_data {
    "title" : "WMarkDown.ScriptsAnalyzer.php - WMarkDown",
    "url" : "https://wmarkdown.k3y.pw/PHP/WMarkDown.ScriptsAnalyzer.php.html",
    "author" : "Tarsier,KyMAN",
    "since" : 20211220,
    "version" : 20211220,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,documentación,developt,desarrollo,programación,scripts,analyzer",
    "description" : "WMarkDown.ScriptsAnalyzer.php del WMarkDown.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]