[[post_data {
    "author" : "KyMAN",
    "since" : 20211220,
    "version" : 20211220
}]]
# WMarkDown.Dictionary.ecma.js

```txt
/Public/ecma/WMarkDown.Dictionary.ecma.js
```

## [[plain WMarkDown.Dictionary.construct]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.construct
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       e5a6f191432eb8ff69dcdcb69daa6876
]]

## [[plain WMarkDown.Dictionary.scroll_event_function]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.scroll_event_function
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       ae1c625da7650df0dbbb45f7a08712f6
#event	- optional Parámetro event
]]

## [[plain WMarkDown.Dictionary.autosearch]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.autosearch
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       aaa4fa0b6907540a54b0d30c110856d9
#return	- - Retorno.
]]

## [[plain WMarkDown.Dictionary.start]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.start
@see        WMarkDown.settings
@see        WMarkDown.threads_add
@see        WMarkDown.Dictionary.scroll_event_function
@see        WMarkDown.Dictionary.autosearch
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       99ed475c408df36df26fdde13ab26c9c
]]

## [[plain WMarkDown.Dictionary.process_description]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.process_description
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       277eb480552ec7b2212d9ca7558abb8c
#description	- optional Parámetro description
#return	- - Retorno.
]]

## [[plain WMarkDown.Dictionary.mount]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.mount
@see	WMarkDown.Dictionary.mount
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	7fac5d7729457dd2fbedab1ce8e103bb
#dictionary	- optional Parámetro dictionary
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain WMarkDown.Dictionary.load]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.load
@see	WMarkDown.load_file
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	f7ce9037e1d657cef88571bdf064662a
#files	- optional Parámetro files
#i	- optional Parámetro i
#callback	- optional Parámetro callback
#dictionary	- optional Parámetro dictionary
#patterns_used	- optional Parámetro patterns_used
]]

## [[plain WMarkDown.Dictionary.build]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.build
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220402
@access	public
@hash	299e294eb355eb377940f5df89242dc5
#return	- - Retorno.
]]

## [[plain WMarkDown.Dictionary.load_links]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.load_links
@see	WMarkDown.Dictionary.load
@see	WMarkDown.Dictionary.mount
@see	WMarkDown.Dictionary.scroll_event_function
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	526e856292c1db0d21b0cabec2029174
#links	- optional Parámetro links
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain WMarkDown.Dictionary.show]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.show
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       c9c5d29f1915f37d7f59f8f70df7d3af
#element	- optional Parámetro element
#event	- optional Parámetro event
]]

## [[plain WMarkDown.Dictionary.hide]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.hide
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       62399cdf7aeae208d560aeb92d754d77
#element	- optional Parámetro element
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain WMarkDown.Dictionary.search]]

[[wdoc
Método object.
@name       WMarkDown.Dictionary.search
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	6fd780a8bbfef5a1414398d042f7a17e
#element	- optional Parámetro element
#event	- optional Parámetro event
]]

[[html_data {
    "title" : "WMarkDown.Dictionary.ecma.js - WMarkDown",
    "url" : "https://wmarkdown.k3y.pw/Public/ecma/WMarkDown.Dictionary.ecma.js.html",
    "author" : "Tarsier,KyMAN",
    "since" : 20211220,
    "version" : 20211220,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,documentación,developt,desarrollo,programación,dictionary,ecma",
    "description" : "WMarkDown.Dictionary.ecma.js del WMarkDown.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]