[[post_data {
    "author" : "KyMAN",
    "since" : 20210512,
    "version" : 20210513
}]]
# mermaid JS

La librería *mermaid* es una pequeña librería JavaScript desarrollada en NodeJS para la creación, a
partir de marcas de texto dentro de un String, diagramas y flujos. El Link para la documentación así
como descarga y más información sobre el proyecto lo tenemos a continuación.

https://mermaid-js.github.io/

> Al ser una librería externa creemos que es mejor vincular con la fuente original para más
información, además de así mostrar autoría y la indormación de uso más fiderigna entre otras
opciones. Si os gusta por favor, apoyar el proyecto en la medida que podáis, ya sea dándolo a
conocer o mediante los medios que los autores presenten.

Para integrar *mermaidjs* en la documentación jugaremos con la misma sintaxis u estructura de
MarkDown, usando un bloque de código donde intgrar nuestro diagrama, con nombre del lenguaje
"mermaidjs". Dicha estructura puede adaptarse, según la idea de los bloques de código, con el
sistema dado para MediaWiki a partir de la etiqueta HTML *source lang*, o en adaptación a
interpretación JS, *pre lang*.

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:50%;">WMarkDown</th>
            <th style="width:50%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

---txt
```mermaid
graph LR
A["Ejemplo A"] --> B["Ejemplo B"]
```
---

            </td>
            <td>

```mermaid
graph LR
A["Ejemplo A"] --> B["Ejemplo B"]
```

            </td>
        </tr>
    </tbody>
</table>

[[html_data {
    "title" : "WMarkDown - mermaid JS",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/mermaid.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210511,
    "version" : 20210511,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,módulo,mermaid,diagramas",
    "description" : "Gestor de diagramas Web mermaid JS.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
