```wmd-options
language = es
title_i18n = wmarkdown_title_tests
title_text = Tests - WMarkDown
```

<!-- [[wmd]] -->

## Tests

Esto es una prueba de ***Italic-Bold***. ¿Funca? ¿Y si *ponemos esto **con negrilla**, funcionaría*?

Bloque de Flowcharts de Mermaid JS:

```mermaid
flowchart TD

A --> B
B --> C
```

Bloque de funciones matemáticas:

```maths

f(x) = a + bc + c

```

Este elemento [[#F00]], que es lo mismo que [[color #F00]] y [[color red]], es una prueba de muestra de color rojo.

[[@ [Integer|String|Array<Integer,String>] ErrorsManager.bitwise(!Integer | String | Array<Integer,String> code = "jojo", !Integer bits)]]

Imagen:

((!image https://images.unsplash.com/photo-1597852074816-d933c7d2b988 Esto es una prueba xD))

((!picture https://images.unsplash.com/photo-1597852074816-d933c7d2b988 Esto es una prueba xD))

Y esto sería un icono ((!icon https://images.unsplash.com/photo-1597852074816-d933c7d2b988 Esto es una prueba xD)) xD

* Elemento A
* Elemento B
* Elemento C

- Elemento A
- Elemento B
    - JoJo
- Elemento C

+ Elemento A
+ Elemento B
    - jojo
+ Elemento C

# Elemento A
# Elemento B
#* Elemento BA
#* Elemento BB
#*# Elemento BBA
# Elemento C

1. Elemento A
2. Elemento B
3. Elemento C

a. Elemento A
b. Elemento B
c. Elemento C

A. Elemento A
B. Elemento B
C. Elemento C

i. Elemento A
i. Elemento B
i. Elemento C

i. Elemento A
ii. Elemento B
iii. Elemento C

I. Elemento A
I. Elemento B
I. Elemento C

4. Elemento 1.
+ Elemento 2.
    # Elemento 2-1.
    # Elemento 2-2.
    # Elemento 2-3.
* Elemento 3.
    # Elemento 3-1.
    # Elemento 3-2.
    # Elemento 3-3.
- Elemento 4.
    # Elemento 4-1.
    # Elemento 4-2.
    # Elemento 4-3.
* Elemento N.
    # Elemento N-1.
    # Elemento N-2.
    # Elemento N-3.

> [!@Srx00] jojo xDDD

Esto es un texto ~~-tachado-~~ xDDD.

Y esto es un texto __subrayado__ xDD.

##### Esto sería un H5.

###### Esto sería un H6.

https://wmarkdown.k3y.pw/

kyman@wmarkdown.k3y.pw

[+94 683 43 12 441]

===== Esto sería un H5. =====

====== Esto sería un H6. ======

También puedes poner direcciones como Cryptomonedas como [bitcoin:tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc] o [litecoin:tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s] entre otras.

También puedes poner direcciones como Cryptomonedas como [tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc](bitcoin:tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc Dirección Bitcoin TestNet) o [tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s](litecoin:tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s Dirección Litecoin TestNet) entre otras.

A continuación montaremos una tabla.

[| class="jojo"
|^ Cabecera 1 | Cabecera 2 | Cabecera 3 | Cabecera N
|= Título 1   | Título 2   | Título 3   | Título N
|  Elemento 1 | Elemento 2 | Elemento 3 | Elemento N
|  Elemento 1 | Elemento 2 | Elemento 3 | Elemento N
|  Elemento 1 | Elemento 2 | Elemento 3 | Elemento N
|_ Pie 1      | Pie 2      | Pie 3      | Pie N
|]

[|
|= Columna 1 | Columna 2 | Columna 3 | Columna 4 | Columna 5
|  Columna 1 | Columna 2 | Columna 3 | Columna 4 | Columna 5
|||  Columna 1-3                     | Columna 4 | Columna 5
|  Columna 1 | *Columna* 2 ||| Columna 3-5
|  Columna 1 || Columna 2-3          | [https://wmarkdown.k3y.pw/#tablas Columna 4] | Columna 5
|]

[|
|= Columna 1 | Columna 2 | Columna 3
|  Celda 1-A | Celda 2-A | Celda 3-A
|  Celda 1-B | "Celda 2-B

Esto es más contenido de la celda 2-B." | Celda 3-B
|  Celda 1-C | 'Celda 2-C

Esto es más contenido de la celda 2-C.' | Celda 3-C
|]

<!-- [[wmd]] -->