[[post_data {
    "author" : "KyMAN",
    "since" : 20211220,
    "version" : 20211220
}]]
# WMarkDown.ecma.js

```txt
/Public/ecma/WMarkDown.ecma.js
```

## [[plain WMarkDown.null_or_undefined]]

[[wdoc
Método object.
@name       WMarkDown.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       719d9b7663b42ce8e70a4b651eb27d92
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain WMarkDown.settings_priority]]

[[wdoc
Método object.
@name       WMarkDown.settings_priority
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       5f1cb4e5159145f28dc6b9176b2c2ef4
#inputs	- optional Parámetro inputs
#return	- - Retorno.
]]

## [[plain WMarkDown.settings_get]]

[[wdoc
Método object.
@name       WMarkDown.settings_get
@see        WMarkDown.settings_get
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       fe0a7d362aaeef0b12064ba82d808ce1
#name	- optional Parámetro name
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain WMarkDown.default_value]]

[[wdoc
Método object.
@name       WMarkDown.default_value
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	203537f60a2642724eeb3056fb32ada8
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain WMarkDown.settings]]

[[wdoc
Método object.
@name       WMarkDown.settings
@see	WMarkDown.default_value
@see	WMarkDown.settings
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	ce4b1849bd16337efcf307777cfe8ab5
#names	- optional Parámetro names
#inputs	- optional Parámetro inputs
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain WMarkDown.threads_function]]

[[wdoc
Método object.
@name       WMarkDown.threads_function
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220402
@access	private
@hash	fa1425dcfd7cec563a43fc5a7ea55c99
#return	- - Retorno.
]]

## [[plain WMarkDown.threads_add]]

[[wdoc
Método object.
@name       WMarkDown.threads_add
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       b365c2a5f45eb543ed5b15de52f04648
#method	- optional Parámetro method
#return	- - Retorno.
]]

## [[plain WMarkDown.threads_remove]]

[[wdoc
Método object.
@name       WMarkDown.threads_remove
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	e005119bc808e1eefdbfec228fac6441
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain WMarkDown.threads_start]]

[[wdoc
Método object.
@name       WMarkDown.threads_start
@see	WMarkDown.settings
@see	WMarkDown.threads_function
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	816ee190018372985bf43d483170f2b9
#frames_per_second	- optional Parámetro frames_per_second
#return	- - Retorno.
]]

## [[plain WMarkDown.threads_stop]]

[[wdoc
Método object.
@name       WMarkDown.threads_stop
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       c1b6d79c278d28a090faf96255fa0c34
]]

## [[plain WMarkDown.is_dom_item]]

[[wdoc
Método object.
@name       WMarkDown.is_dom_item
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       d74ca80e1e1c93a10c0f602e0763d8d4
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain WMarkDown.preload]]

[[wdoc
Método object.
@name       WMarkDown.preload
@see	WMarkDown.is_dom_item
@see	WMarkDown.settings
@see	WMarkDown.threads_add
@see	WMarkDown.threads_remove
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	8b2279c54e645f3a338a8fa813db2df0
#selector	- optional Parámetro selector
#callback	- optional Parámetro callback
]]

## [[plain WMarkDown.screen_size_change]]

[[wdoc
Método object.
@name       WMarkDown.screen_size_change
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	4497c42635c8170e38a2515395520694
]]

## [[plain WMarkDown.preload_wmarkdown]]

[[wdoc
Método object.
@name       WMarkDown.preload_wmarkdown
@see	WMarkDown.preload
@see	WMarkDown.settings
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	d833f77ac9317d5ff47191eb66c181f8
#callback	- optional Parámetro callback
]]

## [[plain WMarkDown.start]]

[[wdoc
Método object.
@name       WMarkDown.start
@see	WMarkDown.threads_start
@see	WMarkDown.settings
@see	WMarkDown.preload_wmarkdown
@see	WMarkDown.querySelector
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220402
@access	public
@hash	6fdeca7c7e3bb413d320c55f0bcbd5a5
]]

## [[plain WMarkDown.construct]]

[[wdoc
Método object.
@name       WMarkDown.construct
@see	WMarkDown.settings
@see	WMarkDown.start
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	private
@hash	23f2e46e44efbd6ac2d11fbc2f56da2e
]]

## [[plain WMarkDown.get_menu]]

[[wdoc
Método object.
@name       WMarkDown.get_menu
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       57030174df482ca026e2c315f62ef397
#menu	- optional Parámetro menu
#return	- - Retorno.
]]

## [[plain WMarkDown.show_menu]]

[[wdoc
Método object.
@name       WMarkDown.show_menu
@see	WMarkDown.show_menu
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220402
@access	public
@hash	7425c1d3f4ed9439b357d193c8d6249e
#element	- optional Parámetro element
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain WMarkDown.hide_menu]]

[[wdoc
Método object.
@name       WMarkDown.hide_menu
@see        WMarkDown.show_menu
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       89853a01ea140deee1f4afa4796c23f7
#element	- optional Parámetro element
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain WMarkDown.block_code_scroll]]

[[wdoc
Método object.
@name       WMarkDown.block_code_scroll
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       e15d01e7ae6e66e51b094400f9917559
#element	- optional Parámetro element
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain WMarkDown.deploy]]

[[wdoc
Método object.
@name       WMarkDown.deploy
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       126d7df46c0cedd81f22315ae7bd7ae1
#element	- optional Parámetro element
#event	- optional Parámetro event
#deployed	- optional Parámetro deployed
]]

## [[plain WMarkDown.hash]]

[[wdoc
Método object.
@name       WMarkDown.hash
@see        WMarkDown.settings
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       3afc8b6e84550facf2f18f1c5328bf13
#return	- - Retorno.
]]

## [[plain WMarkDown.utf8_encode]]

[[wdoc
Método object.
@name       WMarkDown.utf8_encode
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       790e30a79a4ef7bfff15c81f39b47e8e
#string	- optional Parámetro string
#return	- - Retorno.
]]

## [[plain WMarkDown.utf8_decode]]

[[wdoc
Método object.
@name       WMarkDown.utf8_decode
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       e8caada331645e3625625b921d19833f
#string	- optional Parámetro string
#return	- - Retorno.
]]

## [[plain WMarkDown.load_file]]

[[wdoc
Método object.
@name       WMarkDown.load_file
@see	WMarkDown.settings
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	ec66239af05893016982925090595d06
#url	- optional Parámetro url
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain WMarkDown.send]]

[[wdoc
Método object.
@name       WMarkDown.send
@see	WMarkDown.settings
@see	WMarkDown.send
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version	20220329
@access	public
@hash	6721d3e91f06e705d34d25e0616932cb
#variables	- optional Parámetro variables
#callback	- optional Parámetro callback
]]

## [[plain WMarkDown.get_mime]]

[[wdoc
Método object.
@name       WMarkDown.get_mime
@see        WMarkDown.settings
@see        WMarkDown.load_file
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       299794b149b91b1df2b84aabe2ad429f
#path	- optional Parámetro path
#callback	- optional Parámetro callback
]]

## [[plain WMarkDown.get_extensions]]

[[wdoc
Método object.
@name       WMarkDown.get_extensions
@see        WMarkDown.settings
@see        WMarkDown.load_file
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       a3542ee707ed11865be5e9d44649d1b2
#mime	- optional Parámetro mime
#callback	- optional Parámetro callback
]]

## [[plain WMarkDown.is_mobile]]

[[wdoc
Método object.
@name       WMarkDown.is_mobile
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       45f68c710c885ae6d3bb7da1fba67929
#return	- - Retorno.
]]

## [[plain WMarkDown.multiplier_mouse_down]]

[[wdoc
Método object.
@name       WMarkDown.multiplier_mouse_down
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       cfb1aaa0fd2dd1f3ba80a813da93b60e
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain WMarkDown.multiplier_mouse_up]]

[[wdoc
Método object.
@name       WMarkDown.multiplier_mouse_up
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       b62caabe9881695439f2b67cadc6ed35
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain WMarkDown.multiplier_delimiter]]

[[wdoc
Método object.
@name       WMarkDown.multiplier_delimiter
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       f2cf256d238594bd42bc752c4b91b9ed
#position	- optional Parámetro position
#total	- optional Parámetro total
#return	- - Retorno.
]]

## [[plain WMarkDown.multiplier_resize]]

[[wdoc
Método object.
@name       WMarkDown.multiplier_resize
@see        WMarkDown.settings
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     private
@hash       2179f4812d8ba42a708383b07bacaca5
]]

## [[plain WMarkDown.multiplier_change]]

[[wdoc
Método object.
@name       WMarkDown.multiplier_change
@see        WMarkDown.settings
@see        WMarkDown.multiplier_delimiter
@see        WMarkDown.multiplier_resize
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       9c1a7bf584ec99a2341272915ebf4499
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain WMarkDown.multiplier_less]]

[[wdoc
Método object.
@name       WMarkDown.multiplier_less
@see        WMarkDown.multiplier_delimiter
@see        WMarkDown.multiplier_resize
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       48abf0b5bd77a1ebb236fb742bf4b5da
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain WMarkDown.multiplier_more]]

[[wdoc
Método object.
@name       WMarkDown.multiplier_more
@see        WMarkDown.multiplier_delimiter
@see        WMarkDown.multiplier_resize
@lang       ECMAScript
@author     KyMAN
@since      20211220
@version    20211220
@access     public
@hash       79219078cbf718e3068a42bf0adcbdd5
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain WMarkDown.button]]

[[wdoc
Método object.
@name       WMarkDown.button
@lang       ECMAScript
@author     KyMAN
@since      20220329
@version    20220329
@access     public
@hash       755f92f116770ef86552e81f3a9de277
#name	- optional Parámetro name
#action	- optional Parámetro action
#default_text	- optional Parámetro default_text
#return	- - Retorno.
]]

## [[plain WMarkDown.view_show]]

[[wdoc
Método object.
@name       WMarkDown.view_show
@lang       ECMAScript
@author     KyMAN
@since      20220329
@version    20220329
@access     public
@hash       d737f64cfb700f0c6caad5ee990f52ed
#item	- optional Parámetro item
#event	- optional Parámetro event
#key	- optional Parámetro key
#return	- - Retorno.
]]

## [[plain WMarkDown.go_to_item]]

[[wdoc
Método object.
@name       WMarkDown.go_to_item
@lang       ECMAScript
@author     KyMAN
@since      20220329
@version    20220329
@access     public
@hash       d65689190a1a07e31be6aaec4ea10f48
#item	- optional Parámetro item
#event	- optional Parámetro event
#return	- - Retorno.
]]

## [[plain WMarkDown.on_ready]]

[[wdoc
Método object.
@name       WMarkDown.on_ready
@lang       ECMAScript
@author     KyMAN
@since      20220329
@version    20220329
@access     public
@hash       7bea42a3fb6c9579ab6b92bf32fb82f3
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain WMarkDown.remove_on_ready]]

[[wdoc
Método object.
@name       WMarkDown.remove_on_ready
@lang       ECMAScript
@author     KyMAN
@since      20220329
@version    20220329
@access     public
@hash       e005119bc808e1eefdbfec228fac6441
#i	- optional Parámetro i
#return	- - Retorno.
]]

[[html_data {
    "title" : "WMarkDown.ecma.js - WMarkDown",
    "url" : "https://wmarkdown.k3y.pw/Public/ecma/WMarkDown.ecma.js.html",
    "author" : "Tarsier,KyMAN",
    "since" : 20211220,
    "version" : 20211220,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,documentación,developt,desarrollo,programación,cma",
    "description" : "WMarkDown.ecma.js del WMarkDown.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]