[[post_data {
    "author" : "KyMAN",
    "since" : 20210516,
    "version" : 20210516
}]]
# Maths

Este tipo de bloque de código está creado para poder mostrar, a partir de un String o texto dado,
una fórmula matemática legible. Para llevar a cabo dicha operación se hace uso de la librería
MathJax, una librería desarrollada en NodeJS, tanto para navegadores como para proyectos NodeJS,
VueJS o derivados, que permite transformar un texto LaTeX, HML, etc. En una fórmula matemática
legible, para mostrar operaciones matemáticas entre otras funciones.

Para poder crear una fórmula matemática simplemente hemos de crear un bloque de código con el nombre
"maths" y dentro poner la formulación que se quiere visualizar. Automáticamente, WMarkDown lo
procesará y le enviará la orden a MathJax.

Ejemplos de funcionamiento podrían ser los siguientes:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:50%;">WMarkDown</th>
            <th style="width:50%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

'''md
```maths
x = 2a^4 + 5
```
'''

            </td>
            <td>

```maths
x = 2a^4 + 5
```

            </td>
        </tr>
        <tr>
            <td>

'''md
```maths
y = \sqrt{x^2 + 5n}
```
'''

            </td>
            <td>

```maths
y = \sqrt{x^2 + 5n}
```

            </td>
        </tr>
    </tbody>
</table>

Como esta librería es externa, para más información aconsejo encarecidamente mirar la documentación
misma de la librería a partir del siguiente enlace:

http://docs.mathjax.org/en/latest/

[[html_data {
    "title" : "WMarkDown - Maths",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/maths.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210516,
    "version" : 20210516,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,módulo,maths,matemáticas,fórmula,formulación",
    "description" : "Módulo para formulación matemática.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
