[[post_data {
    "author" : "KyMAN",
    "since" : 20210502,
    "version" : 20210513
}]]
# WMarkDown
<!--[[wmonitor2 wmarkdown]]-->

WMarkDown es un pequeño conjunto de librerías que aprovechan la falta de estandarización de MarkDown
y MediaWiki para establecer un estándar de formato de texto para documentar proyectos, aplicaciones
o simplemente mostrar información en HTML procesado a partir de una mezcla de ambos lenguajes.

WMarkDown, de primeras, está desarrollado en PHP, aunque puede extenderse a otros lenguajes como JS,
Python, C#, Java y similares por su estructuración interna, de forma fácil y sencilla. También se
puede ayudar de librerías externas como MermaidJS para generar diagramas, entre otras posibles
opciones.

El nombre de WMarkDown viene de sus desarrolladores, el equipo Whalers, y como nombre final sería
Whalers MarkDown, compactando el nombre de los desarrolladores WMarkDown y compactando en siglas,
WMD. La extensión de los ficheros WMarkDown sería ".w.md" para compatibilizar con la extensión
estandar de MarkDown.

## ¿Cómo funciona?

Este sistema se basa en la compilación o formateo de un String, o conjuntos de String en caso de
estar fragmentado, los cuales pasarán, a partir de un archivo HTML original con las partes
diferenciadas sobre unas variables internas las cuales se usarán para establecer la información del
fichero HTML final, tras el formateo del String que conformaría el WMarkDown.

En este caso, para llevar a cabo dicha operación, y como idea de integración documental sobre
proyectos, se crea un directorio donde se añaden los archivos MarkDown o WMarkDown, pudiendo usar
directorios para ordenarlos y estructurarlos, y tras ello, cada vez que se ejeucte el programa
WMarkDown, compila dichos ficheros en HTML y los integra dentro del proyecto de forma directa.

[[header_level 0]]
[[include /WMD/es/doc/projects.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/settings.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/faq.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/modules.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/bugs.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/targets.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/references.w.md]]

[[html_data {
    "title" : "WMarkDown - Documentación completa",
    "url" : "https://wmarkdown.k3y.pw/es/",
    "author" : "Tarsier, KyMAN",
    "since" : 20210502,
    "version" : 20210513,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,documentación",
    "description" : "Documentación del proyecto WMarkDown.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
